[ntp:questions] NTP & PPS, part 2 ;)

Rob nomail at example.com
Sat Dec 13 20:16:02 UTC 2014


Paul <tik-tok at bodosom.net> wrote:
> On Sat, Dec 13, 2014 at 5:01 AM, Rob <nomail at example.com> wrote:
>
>> Current build dependencies on Debian are:
>
>
> That's better said "on my install of Debian".  I wouldn't expect it be the
> case on all release tracks and it doesn't help Ubuntu.
>
> Of course for an S1 operator the fact that this approach means building
> 4.2.6p5 or even earlier is another insufficiency.
>
> I don't understand why you continue to suggest using a stale source tree
> for building S1 servers.  It's no harder to build from the developer source.

You know what?  On the ntp-dev package for Debian THE BUILD DEPENDENCIES
ARE INCORRECT AS WELL!!

Those kind of things are hard, very hard, to get fixed.
In fact on OpenSUSE it is the same thing.

It has nothing to do with the ntpd source version, it is just the bickering
about who provides what and who puts what in their package description.

Apparently when you want to run a server PPS, you have to build the
binary yourself.   For no real reason, of course.

Fortunately there is gpsd.  At least those people know that you need
to write a selfcontained package with directions and examples when you
want things to be right.

(another failure of the ntpd project: not providing a usable default
config file, so distributors have to put one together and causing config
mistakes because it is not their field of knowledge)



More information about the questions mailing list